 

1  LBXPROXY
   Starts a Low-Bandwidth X (LBX) proxy server.

   LBX is an X server extension that performs compression of the X
   protocol. LBX was developed for those configurations where the
   display server is separated from the client by a slow speed line
   such as a 56K dial-in modem or a wide-area network (WAN).

   The LBX proxy server appears to the client as any other X server.
   The proxy server accepts a connection request from a client
   program and acts as an intermediary between the client and the
   X server. Communication between the proxy server and the client
   uses the standard X protocol. Communication between the proxy
   server and the X server uses an LBX-enhanced X protocol.

   Format:

   LBXPROXY [qualifiers]
 

2  /ATOMS
   /ATOMS=file-specification

   Specifies the file that the proxy server should use for atoms
   control. The file SYS$MANAGER:DECW$ATOMCONTROL.TEMPLATE contains
   an example of an atom control file. This qualifier cannot be
   specified if the NOATOMS or NOLBX option is specified for the
   /OPTIONS qualifier.

   The default is /ATOMS=SYS$MANAGER:DECW$ATOMCONTROL.DAT.
   However, effectively the default is not to use atom
   control, because the installation process does not convert
   the SYS$MANAGER:DECW$ATOMCONTROL.TEMPLATE file to the
   SYS$MANAGER:DECW$ATOMCONTROL.DAT file.

   At startup, the LBX proxy server "pre-interns" the atoms
   specified in the atom control file. The atom control file also
   controls when the proxy server should delay sending data to the X
   server. This is done by specifying the following:

   o  Minimum data length required before the server delays any
      data.

   o  Which atoms should be delayed only when a window manager is
      running on the same connection.

   The format of the atom control file is documented in the
   SYS$MANAGER:DECW$ATOMCONTROL.TEMPLATE file.
 

2  /CHEAT
   /CHEAT={ERRORS | EVENTS | NONE}

   Specifies the level of cheating allowed on the X protocol for
   the sake of improved performance. The X protocol guarantees to
   the requesting party that all corresponding replies, events, or
   errors are returned to the requester in the same order as the
   original requests. The ERRORS option allows the proxy server to
   violate the X protocol with respect to errors. The EVENTS option
   allows the proxy server to violate the X protocol with respect
   to errors and events. The NONE option specifies that no protocol
   cheating is allowed.

   The default is /CHEAT=NONE.

                                WARNING

      Some X applications may rely upon the correct ordering
      of events and errors. Enabling cheating may cause these
      applications to fail. Use this option at your own risk.
 

2  /DISPLAY
   /DISPLAY={"network-address" | logical-name | device-name}

   Specifies a network address, logical name, or device name that
   references the X server to which the proxy server should connect.
   A network address must be in the following form:

   "[transport/][node][:]:display[.screen]"

   This option is ignored for managed proxy servers.

   The default is /DISPLAY=DECW$DISPLAY.
 

2  /FIXED_SERVER
   /FIXED_SERVER
   /NOFIXED_SERVER

   Specifies that the proxy server should fail to start if the
   server number specified by the /SERVER qualifier is not
   available. See /SERVER qualifier for more information about
   server numbers. This option is useful for starting standalone
   servers as detached processes. In this case, the proxy server has
   no method to return the selected server number. This option is
   ignored for managed proxy servers.

   The default is /NOFIXED_SERVER.
 

2  /MAXSERVER
   /MAXSERVER=value

   Specifies the maximum number of X servers to which this proxy
   server can connect. This option is ignored for standalone
   servers. Specify a value from 1 to 63.

   The default is /MAXSERVER=20.
 

2  /MOTION
   /MOTION=value

   Specifies the maximum number of pointer motion events that are
   allowed to remain unanswered between the proxy server and the X
   server. Specify a value from 1 to 32767.

   The default is /MOTION=8.
 

2  /ONERROR
   /ONERROR={RECONNECT | TERMINATE}

   Specifies the action taken when the proxy server encounters an
   internal error. This usually occurs when the proxy server looses
   its connection to the X server.

   RECONNECT   Specifies that the proxy server should clean up
               its internal state information and await further
               requests. If the proxy server is a standalone server,
               this option also specifies that the proxy server
               should reconnect to the X server. For managed proxy
               servers with multiple connected X servers, the proxy
               server will try to reconnect each server connection
               when it fails.
   TERMINATE   Specifies that the proxy server should exit. For
               managed proxy servers with multiple connected X
               servers, the proxy server will terminate only if
               all X server connections fail.

   The default is /ONERROR=TERMINATE.
 

2  /ONEXIT
   /ONEXIT={NOACTION | RESET | TERMINATE}

   Specifies the action taken by this proxy server when the last
   client exits.

   NOACTION    Specifies that the proxy server should continue
               running.
   RESET       Specifies that the proxy server should clean up
               its internal state information and await further
               requests. If the proxy server is a standalone server,
               this option also specifies that the proxy server
               should reconnect to the X server.
   TERMINATE   Specifies that the proxy server should exit.

   The default is /ONEXIT=NOACTION.
 

2  /OPTIONS
   /OPTIONS=(option-list)

   Specifies the optimizations to use for this proxy server. With
   the exception of the ALL and NONE options, each option has
   a NOoption form that disables the option. To enable a small
   number of options, use a combination of the NONE and the desired
   options. For example, /OPTIONS=(NONE,IMAGE) suppresses all
   optimization with the exception of image compression. To disable
   a small number of options, use a combination of the ALL and the
   undesired options. For example, /OPTIONS=(ALL,NOIMAGE,NOGRAPHICS)
   suppresses image and graphics optimization.

   ALL           Enables all optimizations. The ALL and NONE options
                 are mutually exclusive.
   NONE          Disables all optimizations. The ALL and NONE
                 options are mutually exclusive.
   [NO]ATOMS     Enables [disables] reading of the atoms control
                 file. The NOATOMS option is mutually exclusive with
                 the /ATOMS qualifier.
   [NO]GRABCMAP  Enables [disables] color map grabbing.
   [NO]COMP      Enables [disables] stream compression.
   [NO]DELTA     Enables [disables] delta request substitutions.
   [NO]GRAPHICS  Enables [disables] reencoding of graphics requests
                 (other than image-related requests).
   [NO]IMAGE     Enables [disables] image compression.
   [NO]INTERNSC  Enables [disables] short circuiting of InternAtom
                 requests.
   [NO]LBX       Enables [disables] all LBX optimizations
                 (equivalent to [NO]ATOMS, [NO]GRABCMAP,
                 [NO]GRAPHICS, [NO]IMAGE, [NO]INTERNSC, and
                 [NO]WINATTR). The [NO]LBX option is mutually
                 exclusive with any of the options controlled by
                 [NO]LBX. The NOLBX option is mutually exclusive
                 with the /ATOMS qualifier.
   [NO]RGB       Enables [disables] color name to RGB mapping in the
                 server. The NORGB option is mutually exclusive with
                 the /RGB qualifier.
   [NO]SQUISH    Enables [disables] squishing of X events.
   [NO]TAGS      Enables [disables] use of tags.
   [NO]WINATTR   Enables [disables] GetWindowAttributes/GetGeometry
                 grouping into one round trip.
   [NO]ZEROPAD   Enables [disables] zeroing out unused pad bytes in
                 X requests, replies, and events.

   The default is /OPTIONS=ALL.
 

2  /PARTIAL
   /PARTIAL
   /NOPARTIAL

   Specifies that this proxy server is allowed to initialize even
   when it cannot open all transport sockets specified by the
   /TRANSPORT qualifier. These transport sockets are used to receive
   client requests. Note that if the proxy server detects that one
   of the sockets is in use by another task, the server fails to
   initialize with the server number in use, and the next server
   number is tried (as discussed in the description of the /SERVER
   qualifier).

   The default is /NOPARTIAL.
 

2  /RGB
   /RGB=file-specification

   Specifies the file describing the color name to RGB resolution
   in this proxy server. This qualifier cannot be specified if the
   NORGB option is specified for the /OPTIONS qualifier.

   The default is /RGB=SYS$MANAGER:DECW$RGB.DAT.
 

2  /SERVER
   /SERVER=server-number

   Specifies the server number to assign to this proxy server.
   Specify an integer from 0 to 63.

   The proxy server first attempts to initialize using the specified
   server number. If an active server is already using the specified
   number, the proxy server tries the next lower number. This
   process is repeated until an unused server number is found or
   until the proxy server tries the number 0 and fails. If the
   number 0 fails and the number specified was not 63, the server
   number wraps and attempts are tried starting with the number
   63. The process continues until all numbers have been tried. If
   all numbers are in use the proxy server fails to initialize and
   terminates.

   For managed proxy servers, the search for a free server number
   always starts at 63; any number specified by this qualifier is
   ignored.

   A standalone server started as a subprocess always prints out
   the server number finally used on SYS$ERROR. For standalone
   proxy servers that are detached processes, use the /FIXED_SERVER
   qualifier to force the server to use the specified server number
   or fail. Otherwise, there is no method to determine the server
   number actually used by the server.

   The default is /SERVER=63.
 

2  /TAGCACHE
   /TAGCACHE=cache-size

   Specifies the size of this proxy server's tag cache (in bytes).
   Specify the value 0 to disable tag caching.

   The default is /TAGCACHE=1048576 (2^20).
 

2  /TRANSPORTS
   /TRANSPORTS="transport-string"

   Specifies the transports that this proxy server monitors for
   incoming client requests. If the /PARTIAL qualifier is not
   used, all transports specified by this qualifier must initialize
   successfully; or the proxy server fails to initialize with the
   server number in use, and the next server number is tried (as
   discussed in the description of the /SERVER qualifier).

   The default is /TRANSPORTS="LOCAL,DECNET,TCPIP".
 

2  /ZLEVEL
   /ZLEVEL=compression-level

   Specifies the Zlib compression level used for stream compression.
   Specify an integer from 1 (least compression) to 9 (most
   compression).

   The default is /ZLEVEL=6.
